# RankingServerDBSpec::ModifyTrustedIPList_Data Class Reference

`#include <RankingServerDBSpec.h>`

Inheritance diagram for RankingServerDBSpec::ModifyTrustedIPList_Data:

List of all members.

## Public Attributes

RakNet::RakString | ip
| [in] IP of the system to allow or disallow submissions
SystemAddress | systemAddress
| [out] System Address corresponding to this IP. Returned in GetTrustedIPList_Data
bool | addToList
| [in] True to add to the list, false to remove from the list
PairedKeyDbId | gameDbId
| [in] Identifies in the game in the database with a primary and secondary integer key. User defined.

## Detailed Description

Add or drop an allowed IP to submit matches This is not enforced in the database, but can be enforced in code

The documentation for this class was generated from the following files:

- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/RankingServerDBSpec.h
- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/RankingServerDBSpec.cpp